LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XIdlField2 Interface Referencepublished

Reflects an IDL interface attribute, enum or compound type (i.e. More...

`import"XIdlField2.idl";`

Inheritance diagram for XIdlField2:

## Public Member Functions
com::sun::star::reflection::XIdlClass | getType ()
| Returns the type of the field. More...
com::sun::star::reflection::FieldAccessMode | getAccessMode ()
| Returns the access mode of the field, i.e. More...
any | get ([in] any obj) raises ( com::sun::star::lang::IllegalArgumentException )
| Gets the value of the reflected field from the given object, i.e. More...
void | set ([inout] any obj, [in] any value) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| Sets the value of the reflected field of the given object, i.e. More...
Public Member Functions inherited from XIdlMember
XIdlClass | getDeclaringClass ()
| Returns the declaring type of this field, i.e. More...
string | getName ()
| Returns the fully-qualified name of the member. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects an IDL interface attribute, enum or compound type (i.e.

struct/exception) member.

## Member Function Documentation

## ◆ get()

any get | ( | [in] any | obj | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Gets the value of the reflected field from the given object, i.e.

an interface, enum or compound type (struct/exception). For enums, the given object is ignored; the returned value reflects the constant enum 32-bit value.

When setting an interface attribute raises a non com::sun::star::uno::RuntimeException, it is wrapped in a com::sun::star::lang::WrappedTargetRuntimeException.

Parameters

  obj | object instance having member of reflected type

Returns
  value of field

Exceptions

  IllegalAccessException | A com::sun::star::lang::IllegalAccessException is thrown if the given object is no interface, enum or compound type; or the given object does not have the reflected field.

## ◆ getAccessMode()

com::sun::star::reflection::FieldAccessMode getAccessMode | ( |  | ) |

Returns the access mode of the field, i.e.

read-write, read-only or write-only (access mode "const" is deprecated).

Returns
  access mode of the field

## ◆ getType()

com::sun::star::reflection::XIdlClass getType | ( |  | ) |

Returns the type of the field.

Returns
  type of the field

## ◆ set()

void set | ( | [inout] any | obj,
|  | [in] any | value
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IllegalAccessException
| ) |  |

Sets the value of the reflected field of the given object, i.e.

an interface or compound type (struct/exception).

When setting an interface attribute raises a non com::sun::star::uno::RuntimeException, it is wrapped in a com::sun::star::lang::WrappedTargetRuntimeException.

Parameters

  obj | object instance having member of reflected type
  value | value to be set

Exceptions

  IllegalAccessException | A com::sun::star::lang::IllegalAccessException is thrown if the given object is no interface or compound type; or the given object does not have the reflected field.

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XIdlField2.idl